Package edu.msu.cme.rdp.classifier.comparison

# Class AbstractNode

java.lang.Object
edu.msu.cme.rdp.classifier.comparison.AbstractNode

All Implemented Interfaces:
  `ComparisonBrowserNode`, `Taxon`

Direct Known Subclasses:
  `TaxonTree`, `UncNode`

public abstract class AbstractNode extends Object implements Taxon, ComparisonBrowserNode

## Constructor Summary

Constructors
Constructor
Description
`AbstractNode()`
Creates a new instance of AbstractNode

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`changeConfidence(SigCalculator cal)`
`abstract ComparisonBrowserNode`
`findNode(int id)`
`abstract Iterator`
`getDetailIterator(float conf)`
`double`
`getDoubleSignificance()`
`int`
`getIndent()`
`Iterator`
`getLineageIterator()`
`abstract String`
`getName()`
`abstract String`
`getRank()`
`int`
`getS1Count()`
`int`
`getS2Count()`
`String`
`getSignificance()`
`abstract int`
`getTaxid()`
`Iterator`
`getTaxonIterator(int depth)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractNode

public AbstractNode()
Creates a new instance of AbstractNode

## Method Details

### getTaxonIterator

public Iterator getTaxonIterator(int depth)

Specified by:
  `getTaxonIterator` in interface `ComparisonBrowserNode`

### getLineageIterator

public Iterator getLineageIterator()

Specified by:
  `getLineageIterator` in interface `ComparisonBrowserNode`

### getDetailIterator

public abstract Iterator getDetailIterator(float conf)

Specified by:
  `getDetailIterator` in interface `ComparisonBrowserNode`

### changeConfidence

public abstract void changeConfidence(SigCalculator cal)

Specified by:
  `changeConfidence` in interface `ComparisonBrowserNode`

### findNode

public abstract ComparisonBrowserNode findNode(int id)

Specified by:
  `findNode` in interface `ComparisonBrowserNode`

### getName

public abstract String getName()

Specified by:
  `getName` in interface `Taxon`

### getRank

public abstract String getRank()

Specified by:
  `getRank` in interface `Taxon`

### getTaxid

public abstract int getTaxid()

Specified by:
  `getTaxid` in interface `Taxon`

### getS1Count

public int getS1Count()

Specified by:
  `getS1Count` in interface `Taxon`

### getS2Count

public int getS2Count()

Specified by:
  `getS2Count` in interface `Taxon`

### getDoubleSignificance

public double getDoubleSignificance()

### getSignificance

public String getSignificance()

Specified by:
  `getSignificance` in interface `Taxon`

### getIndent

public int getIndent()

Specified by:
  `getIndent` in interface `Taxon`